Groovy Documentation

## grails.spring
[Groovy] Class DynamicElementReader

    java.lang.Object
      groovy.lang.GroovyObjectSupport
          grails.spring.DynamicElementReader

    class DynamicElementReader
    extends groovy.lang.GroovyObjectSupport

Used by BeanBuilder to read a Spring namespace expression in the Groovy DSL.

Authors:
  Graeme Rocher

See Also:
  BeanBuilder

Since:
  1.1

Property Summary
`BeanConfiguration` | `beanConfiguration`
`boolean` | `beanDecorator`
`org.xml.sax.EntityResolver` | `entityResolver`
`org.xml.sax.ErrorHandler` | `errorHandler`
`boolean` | `firstCall`
`NamespaceHandler` | `namespaceHandler`
`ParserContext` | `parserContext`
`int` | `validationMode`

Constructor Summary
`DynamicElementReader(java.lang.String namespace, java.util.Map namespaceMap = Collections.EMPTY_MAP, NamespaceHandler namespaceHandler = null, ParserContext parserContext = null)`

Method Summary
`protected void` | `afterInvocation()` Hook that subclass or anonymous classes can overwrite to implement custom behavior after invocation completes
`java.lang.Object` | `invokeMethod(java.lang.String name, java.lang.Object args)`
`void` | `setClassLoader(java.lang.ClassLoader classLoader)`

Methods inherited from class groovy.lang.GroovyObjectSupport

groovy.lang.GroovyObjectSupport#setProperty(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#getProperty(java.lang.String), groovy.lang.GroovyObjectSupport#getMetaClass(), groovy.lang.GroovyObjectSupport#setMetaClass(groovy.lang.MetaClass), groovy.lang.GroovyObjectSupport#invokeMethod(java.lang.String, java.lang.Object), groovy.lang.GroovyObjectSupport#wait(), groovy.lang.GroovyObjectSupport#wait(long), groovy.lang.GroovyObjectSupport#wait(long, int), groovy.lang.GroovyObjectSupport#equals(java.lang.Object), groovy.lang.GroovyObjectSupport#toString(), groovy.lang.GroovyObjectSupport#hashCode(), groovy.lang.GroovyObjectSupport#getClass(), groovy.lang.GroovyObjectSupport#notify(), groovy.lang.GroovyObjectSupport#notifyAll()

Methods inherited from class java.lang.Object
java.lang.Object#wait(), java.lang.Object#wait(long), java.lang.Object#wait(long, int), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Property Detail

### beanConfiguration

    BeanConfiguration beanConfiguration

### beanDecorator

    boolean beanDecorator

### entityResolver

    org.xml.sax.EntityResolver entityResolver

### errorHandler

    org.xml.sax.ErrorHandler errorHandler

### firstCall

    boolean firstCall

### namespaceHandler

    NamespaceHandler namespaceHandler

### parserContext

    ParserContext parserContext

### validationMode

    int validationMode

Constructor Detail

### DynamicElementReader

    DynamicElementReader(java.lang.String namespace, java.util.Map namespaceMap = Collections.EMPTY_MAP, NamespaceHandler namespaceHandler = null, ParserContext parserContext = null)

Method Detail

### afterInvocation

    protected void afterInvocation()

  Hook that subclass or anonymous classes can overwrite to implement custom behavior after invocation completes

### invokeMethod

    @Override
    java.lang.Object invokeMethod(java.lang.String name, java.lang.Object args)

### setClassLoader

    void setClassLoader(java.lang.ClassLoader classLoader)

Groovy Documentation